Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366792 - [DOCS] Build Config Web Hooks.
Summary: [DOCS] Build Config Web Hooks.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: ---
Assignee: Kathryn Alexander
QA Contact: Meng Bo
Vikram Goyal
URL:
Whiteboard: 3.10-release-plan
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 20:35 UTC by Ryan Howe
Modified: 2018-06-15 22:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 14:27:28 UTC


Attachments (Terms of Use)

Description Ryan Howe 2016-08-12 20:35:29 UTC
Document URL: 
https://docs.openshift.com/enterprise/3.2/dev_guide/builds.html#build-triggers

Section Number and Name: 
  GitHub Webhooks and Generic Webhooks 

Describe the issue: 
  Two issues here: 
1. The examples show http and need to be https 
2. No where in the instructions does is say the HTTP method needs to be POST in order to be accepted. 

Suggestions for improvement: 

Correct and add blurb on what type of HTTP verb is required. 

Additional information: 

Upstream Issue:
https://github.com/openshift/origin/issues/7614


Example using curl: 

curl -X POST https://<openshift_api_host:port>/oapi/v1/namespaces/<namespace>/buildconfigs/<name>/webhooks/<secret>/generic

Comment 1 Kathryn Alexander 2018-04-05 14:58:25 UTC
The information about the POST verb was added in 3.3: https://github.com/openshift/openshift-docs/blame/enterprise-3.3/dev_guide/builds.adoc#L1709

Here's the relevant section:
The caller must invoke the webhook as a `POST` operation.

To invoke the webhook manually you can use `curl`:

----
$ curl -X POST -k https://<openshift_api_host:port>/oapi/v1/namespaces/<namespace>/buildconfigs/<name>/webhooks/<secret>/generic
----

The HTTP verb must be set to `POST`. The insecure `-k` flag is specified to
ignore certificate validation. This second flag is not necessary if your cluster
has properly signed certificates.


1) I think this is sufficient to cover the POST verb. Do you agree? (If so, I'll backport the example.)
2) Is using "https" in the command sufficient, or do all instances of the webhook need to be presented as HTTPS instead of HTTP?

Comment 2 Ryan Howe 2018-04-06 14:27:28 UTC
https://docs.openshift.com/container-platform/3.7/dev_guide/builds/triggering_builds.html#generic-webhooks


Lets close this, was added in the later docs.


Note You need to log in before you can comment on or make changes to this bug.